__gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata > - Node base.

SYNOPSIS

#include <pat_trie_base.hpp>

Inherits Metadata.

Inherited by __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >, __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >, and __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >.

  Public Types

typedef _Alloc::template rebind< _ATraits > __rebind_at
typedef _Alloc::template rebind< _Node_base > __rebind_n
typedef _ATraits::const_iterator a_const_iterator
typedef __rebind_at::other::const_pointer a_const_pointer
typedef _ATraits access_traits
typedef _Alloc allocator_type
typedef __rebind_n::other::pointer node_pointer
typedef _ATraits::type_traits type_traits

  Public Member Functions

_Node_base (node_type type)

  Public Attributes

node_pointer m_p_parent
const node_type m_type

Detailed Description

  template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >"Node base.

Definition at line 92 of file pat_trie_base.hpp.

Member Typedef Documentation

  template<typename _ATraits , typename Metadata > typedef _Alloc::template rebind<_ATraits> __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::__rebind_at

Definition at line 111 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _Alloc::template rebind<_Node_base> __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::__rebind_n

Definition at line 102 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _ATraits::const_iterator __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_iterator

Definition at line 113 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef __rebind_at::other::const_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_pointer

Definition at line 112 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _ATraits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::access_traits

Definition at line 100 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::allocator_type

Definition at line 99 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef __rebind_n::other::pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::node_pointer

Definition at line 103 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _ATraits::type_traits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::type_traits

Definition at line 101 of file pat_trie_base.hpp.

Constructor & Destructor Documentation

  template<typename _ATraits , typename Metadata > __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::_Node_base (node_type type) [inline]

Definition at line 108 of file pat_trie_base.hpp.

Member Data Documentation

  template<typename _ATraits , typename Metadata > node_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_p_parent

Definition at line 105 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > const node_type __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_type

Definition at line 106 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.